import {
  Component, Input, OnInit, ViewChild
} from '@angular/core';
import {PostInfoUserComponent} from './post-info-user/post.info.user.component';
import {PostInfoBasicComponent} from './post-info-basic/post.info.basic.component';

@Component({
  moduleId: module.id,
  templateUrl: './post.edit.component.html',
  styleUrls: ['./post.edit.component.css']
})
export class PostEditComponent implements OnInit {
  @Input() postData;

  constructor() {
  }


  tabData;

  ngOnInit() {
    this.tabData = [
      {
        title: '基本信息',
        component: PostInfoBasicComponent,
        data: {
          basicData: this.postData,
          saveBasicData: (data) => {
            console.log('this.postData:', this.postData);
            console.log('data:', data);
          }
        },
        select: true
      },
      {
        title: '分配人员',
        component: PostInfoUserComponent,
        data: {
          basicData: this.postData,
          saveUserData: (data) => {
            console.log('this.saveUserData:', this.postData);
            console.log('data:', data);
          }
        },
        select: false
      },
    ];
  }
  tabChangeEvent(event) {

  }
}
