import {
  Component, OnInit
} from '@angular/core';
import {CommonService} from '../../common/common.service';

@Component({
  templateUrl: './system.management.component.html',
  styleUrls: ['./system.management.component.css']
})
export class SystemManagementComponent implements OnInit {
  constructor() {

  }

  isHideSide = false;

  childItem = [
    {
      id: 1,
      name: '机构管理',
      routLink: '/home/systemManagement/organization'
    }, {
      id: 2,
      name: '角色管理',
      routLink: '/home/systemManagement/role'
    }, {
      id: 3,
      name: '用户管理',
      routLink: '/home/systemManagement/user'
    }, {
      id: 3,
      name: '岗位管理',
      routLink: '/home/systemManagement/post'
    }
  ];

  ngOnInit() {
  }

  toogleSide(event) {
    this.isHideSide = !event;
  }
}
