import {
  Component, Input, OnInit, ViewChild
} from '@angular/core';
import {CommonService} from '../../../../../common/common.service';

@Component({
  moduleId: module.id,
  templateUrl: './post.info.basic.component.html',
  styleUrls: ['./post.info.basic.component.css']
})
export class PostInfoBasicComponent implements OnInit {
  _data;
  @Input() set data(v) {
    this._data = this.util.deepClone(v);
  }

  get data() {
    return this._data;
  }

  constructor(private util: CommonService) {

  }

  ngOnInit() {
  }

  saveTest() {
    if (this._data.saveBasicData) {
      this._data.saveBasicData(this.data);
    }
  }
}
