import {Component} from '@angular/core';
import {selector} from 'rxjs/operator/publish';
import {NgbActiveModal} from '@ng-bootstrap/ng-bootstrap';

@Component({
  selector: 'dc-modal-tip',
  template: `
  <div>title</div>
<div>body</div>
<div>
  <button (click)="closeModal('ok')">确认</button>
  <button (click)="closeModal('close')">取消</button>
</div>
  `,
  styles: [],
})

export class ModalTipComponent {
  constructor(private activeModal: NgbActiveModal) {
  }

  closeModal(type) {
    /*this.activeModal.close({
      data: '数据'
    });*/
    if (type == 'ok') {
      this.activeModal.close('ok');
    } else {
      this.activeModal.dismiss('cancel');
    }
  }
}
